Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin.InfoCenter.InfoUI
Class MassOutputAnimationTask

    java.lang.Object
      jp.sbi.celldesigner.util.DoAnyTask
          jp.sbi.celldesigner.plugin.InfoCenter.InfoUI.MassOutputAnimationTask

All Implemented Interfaces:
  java.lang.Runnable

    public final class MassOutputAnimationTask

extends jp.sbi.celldesigner.util.DoAnyTask

Field Summary

Fields inherited from class jp.sbi.celldesigner.util.DoAnyTask
`lStarttime, parentFrm, processFrm, processing, processThread`

Constructor Summary
`MassOutputAnimationTask(javax.swing.JFrame parentfrm, javax.swing.JFrame showerfrm, jp.sbi.celldesigner.util.ProcessBarFrm processfrm, jp.sbi.celldesigner.plugin.InfoCenter.InfoUI.MappingArrayMassShowerMainWinFrm.restoreUI oldv)`

Method Summary
`protected boolean` | `doMyTask(jp.sbi.celldesigner.util.ProcessBarFrm processfrm)`
`protected boolean` | `dosthAfterMyTask()`

Methods inherited from class jp.sbi.celldesigner.util.DoAnyTask
`dismiss, fireTask, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MassOutputAnimationTask

    public MassOutputAnimationTask(javax.swing.JFrame parentfrm,
                                   javax.swing.JFrame showerfrm,
                                   jp.sbi.celldesigner.util.ProcessBarFrm processfrm,
                                   jp.sbi.celldesigner.plugin.InfoCenter.InfoUI.MappingArrayMassShowerMainWinFrm.restoreUI oldv)

Method Detail

### doMyTask

    protected boolean doMyTask(jp.sbi.celldesigner.util.ProcessBarFrm processfrm)

  Specified by:
    `doMyTask` in class `jp.sbi.celldesigner.util.DoAnyTask`

### dosthAfterMyTask

    protected boolean dosthAfterMyTask()

  Specified by:
    `dosthAfterMyTask` in class `jp.sbi.celldesigner.util.DoAnyTask`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD